<div>
  <table>
    <thead>
      <tr>
        <th>Date</th>
        <th>Time</th>
        <th>Type</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let x of li">
        <td>
          <span>{{ x.date }}</span>
        </td>
        <td>
          <span>{{ x.time }}</span>
        </td>
        <td>
          <span>{{ x.type }}</span>
        </td>
        <td>
          <span
            ><button
              id="removeButton "
              mat-mini-fab
              color="warn"
              (click)="deleteItem(x)"
            >
              <mat-icon>delete</mat-icon>
            </button>
          </span>
        </td>
      </tr>
    </tbody>
  </table>
</div>
